Profile::ProfileException Class Reference

`#include <profile.h>`

Inheritance diagram for Profile::ProfileException:
Collaboration diagram for Profile::ProfileException:

## Public Member Functions

| ProfileException (presage_error_code_t code, const std::string &desc) throw ()
virtual | ~ProfileException () throw ()
Public Member Functions inherited from PresageException
| PresageException (presage_error_code_t code, const std::string &msg) throw ()
virtual | ~PresageException () throw ()
virtual const char * | what () const throw ()
virtual const presage_error_code_t | code () const throw ()

## Private Member Functions

| ProfileException () throw ()

## Detailed Description

Definition at line 85 of file profile.h.

## Constructor & Destructor Documentation

## ProfileException() [1/2]

Profile::ProfileException::ProfileException | ( | presage_error_code_t | code,
|  | const std::string & | desc )
throw | ( | ) |  |  |

inline

Definition at line 87 of file profile.h.

References PresageException::code().

Here is the call graph for this function:

## ~ProfileException()

virtual Profile::ProfileException::~ProfileException | ( |  | ) |
throw | ( | ) |  |  |

inline virtual

Definition at line 88 of file profile.h.

## ProfileException() [2/2]

Profile::ProfileException::ProfileException | ( |  | ) |
throw | ( | ) |  |  |

inline private

Definition at line 91 of file profile.h.

References PRESAGE_ERROR, and PresageException::PresageException().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- /build/presage-XwIsB9/presage-0.9.1/src/lib/core/profile.h